echo off
rem Example 1: LWD - result is printed to a file
rem java -jar vdatum.jar ihorz:nad83 ivert:navd88:ft ohorz:nad83 overt:lwd:ft -pt:-97.3096500,26.3897528,0 -deg2dms -report

rem Example 2: MLLW - result is printed to a file
rem java -jar vdatum.jar ihorz:nad83 ivert:navd88:ft ohorz:nad83 overt:mllw:ft -pt:-97.3096500,26.3897528,0 -deg2dms -report

rem Example 3: point conversion, output lat/lon in DMS, print to file
rem java -jar vdatum.jar ihorz:NAD27:geo:deg ivert:DTL:US_ft:height ohorz:NAD83:geo:deg overt:NAVD88:m:height -deg2dms -pt:-97.30965,26.3897528,3.545 -report

rem Example 4: LAS transform
rem java -jar vdatum.jar ihorz:nad83_1986 ivert:navd88:us_ft:height ohorz:nad83 overt:mhw:m:height -nodata -file:las:las,autosrcgeo:C:\ble_vdatum\ble_test\maryellen\Job214657_2006_FL_Panhandle.las;C:\ble_vdatum\ble_test\maryellen\result

rem Example 5: point conversion, wgs84 geographic coordinates to nad27 SPC zone 4701
rem java -jar vdatum.jar ihorz:wgs84_g1674 ivert:wgs84_g1674:us_ft:height ohorz:nad27:spc:us_ft:4701 overt:ngvd29:us_ft:height -pt:-80.47292711,39.16661716944,947.346 -deg2dms -report

rem Example 6: point conversion, nad27 SPC zone 4701 to wgs84 geographic
rem java -jar vdatum.jar ihorz:nad27:spc:us_ft:4701 ivert:ngvd29:us_ft:height ohorz:wgs84_g1674 overt:wgs84_g1674:us_ft:height -pt:1724091.6337,244254.2721,1058.9900 -deg2dms -report

rem Example 7: point conversion, nad27 geographic coordinates to nad27 SPC zone 4202
rem java -jar vdatum.jar ihorz:nad27 ohorz:nad27:spc:US_ft:4202 -pt:-98.41066944444445,33.085836111111114

rem Example 8: point conversion, nad83 utm 18/nad83 to nad83 geographic/mhw, file report - this one returns null in NCinnerbays
rem java -jar vdatum.jar ihorz:nad83:utm:m:18 ivert:nad83:m:height ohorz:nad83 overt:mhw:m:height -pt:222359.99,3750506.90,-36.43 -report

rem NCcoastalshelf
rem java -jar vdatum.jar ihorz:nad83 ivert:nad83:m:height ohorz:nad83 overt:mhw:m:height -pt:-77.0009632,33.8583811,-36.43

rem Call vdatum GUI
echo on
java -jar vdatum.jar -util -geoidBIN2GTX C:\\Users\\jianchu.yin\\test\\data\\CONUSresult
